import 'package:prompter_ha/src/option.dart';
import 'package:prompter_ha/src/terminal.dart';

Terminal _terminal = const Terminal();

class Promptor {
  bool askBinary(String prompt) {
    final input = _ask('$prompt (y/n)', []);

    return input.toLowerCase().startsWith('y');
  }

  dynamic askMultiple(String prompt, List<Option> options) {
    String input = _ask(prompt, options);

    try {
      return options[int.parse(input)].value;
    } catch (error) {
      return askMultiple(prompt, options);
    }
  }

  String _ask(String prompt, List<Option> options) {
    _terminal.clearScreen();
    _terminal.printPrompt(prompt);
    _terminal.printOptions(options);

    return _terminal.collectInput();
  }
}
