import 'dart:io';

import 'package:prompter_ha/src/option.dart';

class Terminal {
  const Terminal();

  void clearScreen() {
    if (Platform.isWindows) {
      stdout.write('\x1B[2J\x1B[0f');
    } else {
      stdout.write('\x1B[2J\x1B[3J\x1B[H');
    }
  }

  void printPrompt(String promopt) {
    stdout.writeln(promopt);
  }

  void printOptions(List<Option> options) {
    options.asMap().forEach((index, option) {
      stdout.writeln('[$index] - ${option.label}');
    });

    stdout.writeln('Enter a choice:');
    stdout.write('> ');
  }

  String collectInput() {
    return stdin.readLineSync();
  }
}
